UserParametricSurface Class Reference

Class for user defined parametric surfaces. More...

`#include <Graph3D.h>`

Inheritance diagram for UserParametricSurface:

## Public Member Functions

unsigned int | columns ()
Triple | operator() (double u, double v)
unsigned int | rows ()
void | setDomain (double ul, double ur, double vl, double vr)
void | setMesh (unsigned int columns, unsigned int rows)
void | setPeriodic (bool u, bool v)
double | uEnd ()
bool | uPeriodic ()
| UserParametricSurface (const QString &xFormula, const QString &yFormula, const QString &zFormula, Qwt3D::Curve *pw)
double | uStart ()
double | vEnd ()
bool | vPeriodic ()
double | vStart ()
QString | xFormula ()
QString | yFormula ()
QString | zFormula ()

## Private Attributes

unsigned int | d_columns
unsigned int | d_rows
bool | d_u_periodic
double | d_ul
double | d_ur
bool | d_v_periodic
double | d_vl
double | d_vr
QString | d_x_formula
QString | d_y_formula
QString | d_z_formula

## Detailed Description

Class for user defined parametric surfaces.

## Constructor & Destructor Documentation

UserParametricSurface::UserParametricSurface | ( | const QString & | xFormula,
|  | const QString & | yFormula,
|  | const QString & | zFormula,
|  | Qwt3D::Curve * | pw
| ) |  |

## Member Function Documentation

unsigned int UserParametricSurface::columns | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), setMesh(), and SurfaceDialog::setParametricSurface().

Triple UserParametricSurface::operator() | ( | double | u,
|  | double | v
| ) |  |

References d_x_formula, d_y_formula, and d_z_formula.

unsigned int UserParametricSurface::rows | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), setMesh(), and SurfaceDialog::setParametricSurface().

void UserParametricSurface::setDomain | ( | double | ul,
|  | double | ur,
|  | double | vl,
|  | double | vr
| ) |  |

References d_ul, d_ur, d_vl, and d_vr.

Referenced by Graph3D::addParametricSurface().

void UserParametricSurface::setMesh | ( | unsigned int | columns,
|  | unsigned int | rows
| ) |  |

References columns(), d_columns, d_rows, and rows().

Referenced by Graph3D::addParametricSurface().

void UserParametricSurface::setPeriodic | ( | bool | u,
|  | bool | v
| ) |  |

References d_u_periodic, and d_v_periodic.

Referenced by Graph3D::addParametricSurface().

double UserParametricSurface::uEnd | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

bool UserParametricSurface::uPeriodic | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

double UserParametricSurface::uStart | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

double UserParametricSurface::vEnd | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

bool UserParametricSurface::vPeriodic | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

double UserParametricSurface::vStart | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

QString UserParametricSurface::xFormula | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

QString UserParametricSurface::yFormula | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

QString UserParametricSurface::zFormula | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), and SurfaceDialog::setParametricSurface().

## Member Data Documentation

unsigned int UserParametricSurface::d_columns

private

Referenced by setMesh().

unsigned int UserParametricSurface::d_rows

private

Referenced by setMesh().

bool UserParametricSurface::d_u_periodic

private

Referenced by setPeriodic().

double UserParametricSurface::d_ul

private

Referenced by setDomain().

double UserParametricSurface::d_ur

private

Referenced by setDomain().

bool UserParametricSurface::d_v_periodic

private

Referenced by setPeriodic().

double UserParametricSurface::d_vl

private

Referenced by setDomain().

double UserParametricSurface::d_vr

private

Referenced by setDomain().

QString UserParametricSurface::d_x_formula

private

Referenced by operator()().

QString UserParametricSurface::d_y_formula

private

Referenced by operator()().

QString UserParametricSurface::d_z_formula

private

Referenced by operator()().

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/Graph3D.h
- qtiplot/src/plot3D/Graph3D.cpp